math/R-acepack - The NetBSD Packages Collection

ACE and AVAS for selecting multiple regression transformations

Two nonparametric methods for multiple regression transform selection
are provided. The first, Alternative Conditional Expectations (ACE),
is an algorithm to find the fixed point of maximal correlation, i.e.
it finds a set of transformed response variables that maximizes R^2
using smoothing functions [see Breiman, L., and J.H. Friedman. 1985.
"Estimating Optimal Transformations for Multiple Regression and
Correlation". Journal of the American Statistical Association.
80:580-598. ]. Also included is
the Additivity Variance Stabilization (AVAS) method which works better
than ACE when correlation is low [see Tibshirani, R.. 1986.
"Estimating Transformations for Regression via Additivity and Variance
Stabilization". Journal of the American Statistical Association.
83:394-405. ]. A good introduction
to these two methods is in chapter 16 of Frank Harrel's "Regression
Modeling Strategies" in the Springer Series in Statistics.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

math/R lang/gcc7 math/R lang/gcc7

Binary packages

OSArchitectureVersion
NetBSD 8.0i386R-acepack-1.4.1.tgz
NetBSD 8.0i386R-acepack-1.4.1.tgz
NetBSD 8.0i386R-acepack-1.4.1.tgz
NetBSD 8.0powerpcR-acepack-1.4.1.tgz
NetBSD 8.0powerpcR-acepack-1.4.1.tgz
NetBSD 8.0powerpcR-acepack-1.4.1.tgz
NetBSD 8.0x86_64R-acepack-1.4.1.tgz
NetBSD 8.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0aarch64R-acepack-1.4.1.tgz
NetBSD 9.0aarch64R-acepack-1.4.1.tgz
NetBSD 9.0aarch64R-acepack-1.4.1.tgz
NetBSD 9.0alphaR-acepack-1.4.1.tgz
NetBSD 9.0alphaR-acepack-1.4.1.tgz
NetBSD 9.0alphaR-acepack-1.4.1.tgz
NetBSD 9.0i386R-acepack-1.4.1.tgz
NetBSD 9.0i386R-acepack-1.4.1.tgz
NetBSD 9.0powerpcR-acepack-1.4.1.tgz
NetBSD 9.0powerpcR-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz
NetBSD 9.0x86_64R-acepack-1.4.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.